Facebook
LinkedIn
YouTube
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)
V3 API Documentation
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)
V3 API Documentation
  1. Call Flow
  • User
    • List Reports
      GET
  • Scorecard
    • List Scorecards
      GET
    • List Scored Calls Report
      GET
    • Add or Update Call Title
      POST
    • Create Scorecard
      POST
    • Duplicate Scorecard
      POST
    • Archive Scorecard
      GET
  • Call
    • Get Call Record by ID
    • List Calls
    • List Call Details
    • List Archived Call Details
    • List Call Details
    • List Calls With Transcription
    • List Calls With Transcription Details
    • List Calls With Tags
    • Add Tags To Call
    • List Calls With Custom Sources
    • List Calls With Indicator Scores
    • List Calls With DNI
    • List Call Metrics by Group
    • List Call Metrics Details by Group
    • Upload Call Audio
    • Get Call Record by ID
    • Add Comment To Call
    • Move Call To Group
  • Blacklist
    • List Blacklisted Numbers
    • Add Number To Blacklist
    • Delete Blacklisted Numbers
  • Call Action
    • Create Call Actions
    • Update Call Action
  • Email
    • Send Call Data Email
  • SMS
    • Send SMS
    • List SMS Conversations
  • Webhook
    • List Webhooks
    • Create Webhook
    • Update Webhook
  • Campaign
    • Get Campaign by ID
    • Create Campaign
    • Delete Campaign
    • List Campaigns
    • List Campaigns With Users
    • Add Users To Campaign
    • List Campaigns With Call Flows
  • Call Flow
    • Get Call Flow by ID
      GET
    • Create Call Flows
      POST
    • Delete Call Flow
      DELETE
    • List Call Flows by Campaign
      GET
    • List Call Flows
      GET
    • List Deleted Call Flows
      GET
    • List Call Flows With Routes
      GET
    • List Call Flows With Location
      GET
    • List Call Flows With Numbers
      GET
    • List Call Flows With Recording
      GET
    • List Call Flows With Actions
      GET
    • List Call Flows With DNI
      GET
    • Create Call Flow DNI Settings
      POST
    • List DNI Classes With Call Flow
      GET
    • List Call Flow Custom Sources
      GET
    • Create Call Flow Custom Source
      POST
    • Delete Call Flow Custom Source
      DELETE
    • Create Call Flows With Multilevel IVR
      POST
    • Create Call Flow Outbound
      POST
    • List Call Flows With Count
      GET
    • Remove Number From Route Pool
      POST
  • Group
    • List Groups
    • Create Group
    • List Groups With Users
    • List Groups With Users
    • Create User in Group
    • Update Group User
    • Get DNI Snippet
    • List Active Call Flows
    • List Group Call Logs
  • Number
    • Search Phone Numbers
    • Search Reserved Numbers
    • Reserve Phone Number
  • Miscellaneous
    • List Geo Locations
    • List Locations
    • Add Locations
    • Add Locations
    • List Audio Files
    • Upload Whisper Audio
    • Upload Prompt Audio
    • List Channels
    • List Rate Centers
    • List Scheduled Reports
    • Get Subscription
  • Custom Source
    • Get Custom Sources by Group
    • Create Custom Source
    • Delete Custom Sources
  • Tag
    • List Tags
    • Delete Tags
  • User Permissions
    • Get User Permissions
    • Update User Permissions
    • List Allowed Groups
  • Insights
    • Create Insight
  • SMS Broadcast
    • List Broadcasts
    • Create SMS Broadcast
    • Update Broadcast
    • Delete Broadcast
    • Get Broadcast Messages
    • List Contact Lists
    • Create Contact List
    • Get Contact List
    • Update Contact List
    • Delete Contact List
    • List Contacts in Contact List
    • Add Contacts To Contact List
    • Update Contact in Contact List
    • Remove Contact From List
    • List Contacts
    • Create Contacts
    • Update Contact
    • Delete Contact
  1. Call Flow

Create Call Flows With Multilevel IVR

POST
https://apicfa.convirza.com/v2/callflow/multilevelivr
Call Flow
Last modified:2026-04-03 12:54:09
Creates call flows with multi-level IVR (Interactive Voice Response) menu systems. Configures hierarchical phone menus with multiple levels of options for advanced call routing and self-service workflows.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Created call flow IDs with confirmation status for each IVR configuration
Headers

Body

🟠400
🟠401
🟠403
🟠404
🔴500
⚪default
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://apicfa.convirza.com/v2/callflow/multilevelivr' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "call_flow_id": 0,
        "call_flow_name": "string",
        "call_flow_status": "active",
        "repeat_interval": 72,
        "call_value": 0,
        "channel_id": 7,
        "message": "string",
        "group_id": 0,
        "campaign_id": 1,
        "email_to_notify": "user@example.com",
        "voicemail_rings": 1,
        "voicemail_greeting": "string",
        "webhook_enabled": false,
        "webhook_id": 0,
        "spam_threshold": 0,
        "spam_filter_enabled": false,
        "referral_number": 1000000000,
        "number": {
            "phone_number_id": 0,
            "phone_number": 1000000000
        },
        "number_pool": {
            "pool_id": 1,
            "pool_name": "string",
            "keep_alive_minutes": 60,
            "number_quantity": 1,
            "npa": 0,
            "nxx": 0
        },
        "ivrs": [
            {
                "key": 0,
                "action": "simple",
                "destination": "string",
                "message": "string",
                "ivrData": [
                    {
                        "key": 0,
                        "action": "simple",
                        "destination": "string",
                        "message": "string",
                        "ivrData": [
                            {
                                "key": 0,
                                "action": "simple",
                                "destination": "string",
                                "message": "string",
                                "geoData": {
                                    "route_by": "Claimed State",
                                    "proximity_limit": 1,
                                    "location_id": 0,
                                    "target_did": 1000000000
                                },
                                "scheduleRoute": {
                                    "timezone": "Atlantic",
                                    "default_ringto": 1000000000,
                                    "voicemail_enabled": false,
                                    "schedules": [
                                        {
                                            "schedule_days": [
                                                {
                                                    "id": "AllDays"
                                                }
                                            ],
                                            "schedule_start_time": "string",
                                            "schedule_end_time": "string",
                                            "ring_to": 1000000000,
                                            "overflowNumbers": [
                                                {
                                                    "overflowNumber": 1000000000,
                                                    "rings": 1
                                                }
                                            ],
                                            "isSimultaneous": false,
                                            "voicemail_enabled": false
                                        }
                                    ]
                                },
                                "target_did": 1000000000,
                                "isSimultaneous": false,
                                "overflowNumbers": [
                                    {
                                        "overflowNumber": 1000000000,
                                        "rings": 1
                                    }
                                ],
                                "record_enabled": false,
                                "play_disclaimer": "never",
                                "whisper_enabled": false,
                                "whisper_message": "string",
                                "voicemail_enabled": false,
                                "go_back_key": 0
                            }
                        ],
                        "geoData": {
                            "route_by": "Claimed State",
                            "proximity_limit": 1,
                            "location_id": 0,
                            "target_did": 1000000000
                        },
                        "scheduleRoute": {
                            "timezone": "Atlantic",
                            "default_ringto": 1000000000,
                            "voicemail_enabled": false,
                            "schedules": [
                                {
                                    "schedule_days": [
                                        {
                                            "id": "AllDays"
                                        }
                                    ],
                                    "schedule_start_time": "string",
                                    "schedule_end_time": "string",
                                    "ring_to": 1000000000,
                                    "overflowNumbers": [
                                        {
                                            "overflowNumber": 1000000000,
                                            "rings": 1
                                        }
                                    ],
                                    "isSimultaneous": false,
                                    "voicemail_enabled": false
                                }
                            ]
                        },
                        "target_did": 1000000000,
                        "isSimultaneous": false,
                        "overflowNumbers": [
                            {
                                "overflowNumber": 1000000000,
                                "rings": 1
                            }
                        ],
                        "record_enabled": false,
                        "play_disclaimer": "never",
                        "whisper_enabled": false,
                        "whisper_message": "string",
                        "voicemail_enabled": false,
                        "go_back_key": 0
                    }
                ],
                "geoData": {
                    "route_by": "Claimed State",
                    "proximity_limit": 1,
                    "location_id": 0,
                    "target_did": 1000000000
                },
                "scheduleRoute": {
                    "timezone": "Atlantic",
                    "default_ringto": 1000000000,
                    "voicemail_enabled": false,
                    "schedules": [
                        {
                            "schedule_days": [
                                {
                                    "id": "AllDays"
                                }
                            ],
                            "schedule_start_time": "string",
                            "schedule_end_time": "string",
                            "ring_to": 1000000000,
                            "overflowNumbers": [
                                {
                                    "overflowNumber": 1000000000,
                                    "rings": 1
                                }
                            ],
                            "isSimultaneous": false,
                            "voicemail_enabled": false
                        }
                    ]
                },
                "target_did": 1000000000,
                "isSimultaneous": false,
                "overflowNumbers": [
                    {
                        "overflowNumber": 1000000000,
                        "rings": 1
                    }
                ],
                "record_enabled": false,
                "play_disclaimer": "never",
                "whisper_enabled": false,
                "whisper_message": "string",
                "voicemail_enabled": false
            }
        ]
    }
]'
Response Response Example
200 - Example 1
[
    {
        "result": "string",
        "data": "string",
        "entry_count": 0
    }
]
Modified at 2026-04-03 12:54:09
Previous
Delete Call Flow Custom Source
Next
Create Call Flow Outbound
Built with